<?php

namespace AdminBundle\Form;


use AdminBundle\Entity\ProjectCredit;

class ProjectCreditForm {

    private $position;
    private $label;
    private $value;

    function __construct(ProjectCredit $projectCredit = null)
    {
        if(isset($projectCredit)) {
            $this->position = $projectCredit->getPosition();
            $this->label = $projectCredit->getLabel();
            $this->value = $projectCredit->getValue();
        }
    }

    /**
     * @return mixed
     */
    public function getPosition()
    {
        return $this->position;
    }

    /**
     * @param mixed $position
     */
    public function setPosition($position)
    {
        $this->position = $position;
    }

    /**
     * @return mixed
     */
    public function getLabel()
    {
        return $this->label;
    }

    /**
     * @param mixed $label
     */
    public function setLabel($label)
    {
        $this->label = $label;
    }

    /**
     * @return mixed
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * @param mixed $value
     */
    public function setValue($value)
    {
        $this->value = $value;
    }

}